Broadcast Event
curl --request POST \
--url https://api.velt.dev/v2/livestate/broadcast \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"liveStateDataId": "<string>",
"data": {},
"merge": true
}
}
'import requests
url = "https://api.velt.dev/v2/livestate/broadcast"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"liveStateDataId": "<string>",
"data": {},
"merge": True
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
liveStateDataId: '<string>',
data: {},
merge: true
}
})
};
fetch('https://api.velt.dev/v2/livestate/broadcast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Event broadcasted successfully.",
"data": {
"success": true
}
}
}
Live State
Broadcast Event
POST
/
v2
/
livestate
/
broadcast
Broadcast Event
Use this API to broadcast live state events to any document. Use it with the Live State feature.
Endpoint
POST https://api.velt.dev/v2/livestate/broadcast
Headers
Your API key.
Your Auth Token.
Body Parameters
Show properties
Show properties
Organization ID where the document belongs
Document ID to broadcast the event to
Unique identifier for the live state data
The data to broadcast. Can be any valid serializable JSON object.
If true, merges the new data with existing data instead of replacing it
Example Request
{
"organizationId": "YOUR_ORGANIZATION_ID",
"documentId": "YOUR_DOCUMENT_ID",
"liveStateDataId": "sample_live_state_data_id",
"data": {
"status": "active",
"message": "Hello World",
"customField": "custom value"
},
"merge": true
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Event broadcasted successfully.",
"data": {
"success": true
}
}
}
Error Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "ERROR_CODE"
}
}
{
"result": {
"status": "success",
"message": "Event broadcasted successfully.",
"data": {
"success": true
}
}
}
Was this page helpful?
⌘I

